CC=gcc
CFLAGS=-Wall -O

all: exe_fap exe_arg

exe_fap: essai_fap.o fap.o
	#$(CC) -o exe_fap essai_fap.o fap.o
	$(CC) -o $@ $^

essai_fap.o:essai_fap.c
	#$(CC) -o essai_fap.o -c essai_fap.c $(CFLAGS)
	$(CC) -o $@ -c $< $(CFLAGS)

fap.o: fap.c
	#$(CC) -o fap.o -c fap.c $(CFLAGS)
	$(CC) -o $@ -c $< $(CFLAGS)

exe_arg: test_arg.o
	#$(CC) -o exe_arg test_arg.o
	$(CC) -o $@ $^

test_arg.o: test_arg.c
	#$(CC) -o test_arg.o -c test_arg.c $(CFLAGS)
	$(CC) -o $@ -c $< $(CFLAGS)

clean:
	rm -f *.o

mrproper:
	rm -f *.o exe_fap exe_arg
